package com.engine.custom.yunxuetang.bean;

public class DeptRequestBody {

    private String code;
    private String deptManagerThirdId;
    private String description;
    private int maxUserCount;
    private String name;
    private int orderIndex;
    private String parentThirdId;
    private boolean recoveryDeleted;
    private String thirdId;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDeptManagerThirdId() {
        return deptManagerThirdId;
    }

    public void setDeptManagerThirdId(String deptManagerThirdId) {
        this.deptManagerThirdId = deptManagerThirdId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getMaxUserCount() {
        return maxUserCount;
    }

    public void setMaxUserCount(int maxUserCount) {
        this.maxUserCount = maxUserCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public String getParentThirdId() {
        return parentThirdId;
    }

    public void setParentThirdId(String parentThirdId) {
        this.parentThirdId = parentThirdId;
    }

    public boolean isRecoveryDeleted() {
        return recoveryDeleted;
    }

    public void setRecoveryDeleted(boolean recoveryDeleted) {
        this.recoveryDeleted = recoveryDeleted;
    }

    public String getThirdId() {
        return thirdId;
    }

    public void setThirdId(String thirdId) {
        this.thirdId = thirdId;
    }

    @Override
    public String toString() {
        return "DeptRequestBody{" +
                "code='" + code + '\'' +
                ", deptManagerThirdId='" + deptManagerThirdId + '\'' +
                ", description='" + description + '\'' +
                ", maxUserCount=" + maxUserCount +
                ", name='" + name + '\'' +
                ", orderIndex=" + orderIndex +
                ", parentThirdId='" + parentThirdId + '\'' +
                ", recoveryDeleted=" + recoveryDeleted +
                ", thirdId='" + thirdId + '\'' +
                '}';
    }
}
